org.eclipse.gef.editpolicies

## Class ContainerEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.ContainerEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

    public abstract class ContainerEditPolicy
    extends AbstractEditPolicy

An EditPolicy for use with container editparts. This policy can be used to contribute commands to add, create, and orphan requests.

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`ContainerEditPolicy()`

### Method Summary

Methods
`protected Command` `getAddCommand(GroupRequest request)` Override to contribute to add requests.
`protected Command` `getCloneCommand(ChangeBoundsRequest request)` Override to contribute to clone requests.
`Command` `getCommand(Request request)` Overridden to check for add, create, and orphan.
`protected abstract Command` `getCreateCommand(CreateRequest request)` Clients must implement to contribute to create requests.
`protected Command` `getOrphanChildrenCommand(GroupRequest request)` Override to contribute to orphan requests.

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerEditPolicy

    public ContainerEditPolicy()

### Method Detail

#### getAddCommand

    protected Command getAddCommand(GroupRequest request)

Override to contribute to add requests.

Parameters:
  `request` - the add request
Returns:
  the command contribution to the add

#### getCloneCommand

    protected Command getCloneCommand(ChangeBoundsRequest request)

Override to contribute to clone requests.

Parameters:
  `request` - the clone request
Returns:
  the command contribution to the clone

#### getCommand

    public Command getCommand(Request request)

Overridden to check for add, create, and orphan.

Specified by:
  `getCommand` in interface `EditPolicy`
Overrides:
  `getCommand` in class `AbstractEditPolicy`
Parameters:
  `request` - the Request
Returns:
  `null` or a Command contribution
See Also:
  `EditPolicy.getCommand(org.eclipse.gef.Request)`

#### getCreateCommand

    protected abstract Command getCreateCommand(CreateRequest request)

Clients must implement to contribute to create requests.

Parameters:
  `request` - the create request
Returns:
  `null` or a command contribution

#### getOrphanChildrenCommand

    protected Command getOrphanChildrenCommand(GroupRequest request)

Override to contribute to orphan requests.

Parameters:
  `request` - the orphan request
Returns:
  a command contribution for the orphan